jm.gui.graph

## Class Statistics

- java.lang.Object
- - jm.gui.graph.Statistics

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Statistics
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Statistics()`
    `Statistics(int initialCapacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(double stats)`
    `boolean` | `add(double[] stats)`
    `void` | `add(int index, double element)`
    `void` | `clear()`
    `java.lang.Object` | `clone()`
    `boolean` | `contains(double elem)`
    `void` | `ensureCapacity(int minCapacity)`
    `boolean` | `equals(java.lang.Object o)`
    `double` | `get(int index)`
    `int` | `indexOf(double value)`
    `boolean` | `isEmpty()`
    `double` | `largestValue()`
    `int` | `lastIndexOf(double value)`
    `double` | `removeIndex(int index)`
    `protected void` | `removeRange(int fromIndex, int toIndex)`
    `boolean` | `removeValue(double stats)`
    `double` | `resetLargestValue()`
    `double` | `set(int index, double element)`
    `int` | `size()`
    `double[]` | `toArray()`
    `double[]` | `toArray(double[] a)`
    `java.lang.String` | `toString()`
    `void` | `trimToSize()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Statistics

          public Statistics(int initialCapacity)

    - #### Statistics

          public Statistics()

  - ### Method Detail

    - #### trimToSize

          public void trimToSize()

    - #### ensureCapacity

          public void ensureCapacity(int minCapacity)

    - #### size

          public int size()

    - #### largestValue

          public double largestValue()

    - #### isEmpty

          public boolean isEmpty()

    - #### contains

          public boolean contains(double elem)

    - #### indexOf

          public int indexOf(double value)

    - #### lastIndexOf

          public int lastIndexOf(double value)

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toArray

          public double[] toArray()

    - #### toArray

          public double[] toArray(double[] a)

    - #### resetLargestValue

          public double resetLargestValue()

    - #### get

          public double get(int index)

    - #### set

          public double set(int index,
                   double element)

    - #### add

          public boolean add(double stats)

    - #### add

          public boolean add(double[] stats)

    - #### add

          public void add(int index,
                 double element)

    - #### removeIndex

          public double removeIndex(int index)

    - #### clear

          public void clear()

    - #### removeRange

          protected void removeRange(int fromIndex,
                         int toIndex)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### removeValue

          public boolean removeValue(double stats)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`